#pragma once
#include "config.hpp"
#include <SDL.h>
#include <string>
#include <vector>

struct PhoenixTexture {
  SDL_Texture *texture;
};

PhoenixTexture PLoadTexture(std::string filePath);

void PRenderTexture(PhoenixTexture *texture, int x, int y);

void PDestroyTexture(PhoenixTexture *texture);
